package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.DbType;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;

public class SQLRenameUserStatement extends SQLStatementImpl {
   private SQLName name;
   private SQLName to;

   public SQLRenameUserStatement() {
      this.dbType = DbType.mysql;
   }

   protected void accept0(SQLASTVisitor v) {
      if (v.visit(this)) {
         this.acceptChild(v, this.name);
         this.acceptChild(v, this.to);
      }

      v.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public SQLName getTo() {
      return this.to;
   }

   public void setTo(SQLName to) {
      this.to = to;
   }
}
